#include <bits/stdc++.h>

#define int int64_t

signed main()
{
  std::ios::sync_with_stdio(false);
  std::cin.tie(0);
  int n;
  std::cin >> n;
  int x = 1, y = 2 * n;
  for(int i = 1; i <= n; i++) {
    if(i & 1) {
      std::cout << x++ << " ";
    }
    else {
      std::cout << y-- << " ";
    }
  }
  std::cout << "\n";
  for(int i = 1; i <= n; i++) {
    if(i & 1) {
      std::cout << x++ << " ";
    }
    else {
      std::cout << y-- << " ";
    }
  }
}